<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/events/MouseEvent.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_c33611b4dec78f96017d2ccf425d656a.html">events</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">MouseEvent.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="MouseEvent_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;SFML/Graphics.hpp&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;<a class="code" href="Event_8hpp.html">core/Event.hpp</a>&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="classgg_1_1MouseMovedEvent.html">    9</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1MouseMovedEvent.html">MouseMovedEvent</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1MouseMovedEvent.html#a48f3ced46577de83fa4c28f626d0b75c">   12</a></span>    <a class="code hl_function" href="classgg_1_1MouseMovedEvent.html#a48f3ced46577de83fa4c28f626d0b75c">MouseMovedEvent</a>(<span class="keyword">const</span> <span class="keywordtype">float</span>, <span class="keyword">const</span> <span class="keywordtype">float</span>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1MouseMovedEvent.html#a1878f2591938753f50cf170a723ade41">   13</a></span>    <a class="code hl_function" href="classgg_1_1MouseMovedEvent.html#a1878f2591938753f50cf170a723ade41">~MouseMovedEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1MouseMovedEvent.html#af843b5cca9b295ba561c35fa4529ce59">   15</a></span>    [[nodiscard]] <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1MouseMovedEvent.html#af843b5cca9b295ba561c35fa4529ce59">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1MouseMovedEvent.html#ab6d219c0e27160a2881c9c9d1822a4ec">   17</a></span>    auto <a class="code hl_function" href="classgg_1_1MouseMovedEvent.html#ab6d219c0e27160a2881c9c9d1822a4ec">GetMouseX</a>() -&gt; <span class="keywordtype">float</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1MouseMovedEvent.html#a75f1825ee66397a4a4d1aa512e68b8eb">   18</a></span>    auto <a class="code hl_function" href="classgg_1_1MouseMovedEvent.html#a75f1825ee66397a4a4d1aa512e68b8eb">GetMouseY</a>() -&gt; <span class="keywordtype">float</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1MouseMovedEvent.html#a43757c5ea9b1172b1ee12069a6b967c7">   20</a></span>    [[nodiscard]] auto <a class="code hl_function" href="classgg_1_1MouseMovedEvent.html#a43757c5ea9b1172b1ee12069a6b967c7">to_string</a>() const -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>  private:</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keywordtype">float</span> mMouseX;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keywordtype">float</span> mMouseY;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>};</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonEvent.html">   27</a></span>class <a class="code hl_class" href="classgg_1_1MouseButtonEvent.html">MouseButtonEvent</a> : public <a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>{</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonEvent.html#a17e77a1efd4385453cf27f8f40a052e8">   30</a></span>    <a class="code hl_function" href="classgg_1_1MouseButtonEvent.html#a17e77a1efd4385453cf27f8f40a052e8">MouseButtonEvent</a>(sf::Mouse::Button);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonEvent.html#afddbee453475838c3c6f5dca89916a1f">   31</a></span>    <a class="code hl_function" href="classgg_1_1MouseButtonEvent.html#afddbee453475838c3c6f5dca89916a1f">~MouseButtonEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonEvent.html#a58fb187fa921178ef7802684371d968a">   33</a></span>    [[nodiscard]] <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1MouseButtonEvent.html#a58fb187fa921178ef7802684371d968a">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override = 0;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonEvent.html#a9710a29ced43784e6ad16059801b67cf">   35</a></span>    auto GetKeycode() -&gt; sf::Mouse::<a class="code hl_class" href="classgg_1_1Button.html">Button</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonEvent.html#ab95d8a5d854b93d410ceda3a7c6f42ec">   37</a></span>    [[nodiscard]] auto <a class="code hl_function" href="classgg_1_1MouseMovedEvent.html#a43757c5ea9b1172b1ee12069a6b967c7">to_string</a>() const -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>  private:</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    [[nodiscard]] auto keycode_to_string() const -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>  private:</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    sf::Mouse::<a class="code hl_class" href="classgg_1_1Button.html">Button</a> mKeycode;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>};</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonPressedEvent.html">   46</a></span>class <a class="code hl_class" href="classgg_1_1MouseButtonPressedEvent.html">MouseButtonPressedEvent</a> : public <a class="code hl_class" href="classgg_1_1MouseButtonEvent.html">MouseButtonEvent</a></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>{</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonPressedEvent.html#accf43bef1d540f25f10839e35b94135e">   49</a></span>    <a class="code hl_function" href="classgg_1_1MouseButtonPressedEvent.html#accf43bef1d540f25f10839e35b94135e">MouseButtonPressedEvent</a>(sf::Mouse::Button);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonPressedEvent.html#aad9fb3818fdec503a1d164d0a0ad3475">   50</a></span>    <a class="code hl_function" href="classgg_1_1MouseButtonPressedEvent.html#aad9fb3818fdec503a1d164d0a0ad3475">~MouseButtonPressedEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonPressedEvent.html#a4522038356b809323f197ab59bd41c43">   52</a></span>    [[nodiscard]] <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1MouseButtonPressedEvent.html#a4522038356b809323f197ab59bd41c43">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>};</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonReleasedEvent.html">   55</a></span>class <a class="code hl_class" href="classgg_1_1MouseButtonReleasedEvent.html">MouseButtonReleasedEvent</a> : public <a class="code hl_class" href="classgg_1_1MouseButtonEvent.html">MouseButtonEvent</a></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>{</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonReleasedEvent.html#a97aadfeae42973faafb3560d6ab301df">   58</a></span>    <a class="code hl_function" href="classgg_1_1MouseButtonReleasedEvent.html#a97aadfeae42973faafb3560d6ab301df">MouseButtonReleasedEvent</a>(sf::Mouse::Button);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonReleasedEvent.html#a107d6cd549efd776d46d2e66080fe970">   59</a></span>    <a class="code hl_function" href="classgg_1_1MouseButtonReleasedEvent.html#a107d6cd549efd776d46d2e66080fe970">~MouseButtonReleasedEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="classgg_1_1MouseButtonReleasedEvent.html#a011e39cd63718e03bd7437bbe27b6174">   61</a></span>    [[nodiscard]] <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1MouseButtonReleasedEvent.html#a011e39cd63718e03bd7437bbe27b6174">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>};</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aEvent_8hpp_html"><div class="ttname"><a href="Event_8hpp.html">Event.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Button_html"><div class="ttname"><a href="classgg_1_1Button.html">gg::Button</a></div><div class="ttdef"><b>Definition:</b> Button.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonEvent_html"><div class="ttname"><a href="classgg_1_1MouseButtonEvent.html">gg::MouseButtonEvent</a></div><div class="ttdef"><b>Definition:</b> MouseEvent.hpp:28</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonEvent_html_a17e77a1efd4385453cf27f8f40a052e8"><div class="ttname"><a href="classgg_1_1MouseButtonEvent.html#a17e77a1efd4385453cf27f8f40a052e8">gg::MouseButtonEvent::MouseButtonEvent</a></div><div class="ttdeci">MouseButtonEvent(sf::Mouse::Button)</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonEvent_html_a58fb187fa921178ef7802684371d968a"><div class="ttname"><a href="classgg_1_1MouseButtonEvent.html#a58fb187fa921178ef7802684371d968a">gg::MouseButtonEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override=0</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonEvent_html_afddbee453475838c3c6f5dca89916a1f"><div class="ttname"><a href="classgg_1_1MouseButtonEvent.html#afddbee453475838c3c6f5dca89916a1f">gg::MouseButtonEvent::~MouseButtonEvent</a></div><div class="ttdeci">~MouseButtonEvent() override=default</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonPressedEvent_html"><div class="ttname"><a href="classgg_1_1MouseButtonPressedEvent.html">gg::MouseButtonPressedEvent</a></div><div class="ttdef"><b>Definition:</b> MouseEvent.hpp:47</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonPressedEvent_html_a4522038356b809323f197ab59bd41c43"><div class="ttname"><a href="classgg_1_1MouseButtonPressedEvent.html#a4522038356b809323f197ab59bd41c43">gg::MouseButtonPressedEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonPressedEvent_html_aad9fb3818fdec503a1d164d0a0ad3475"><div class="ttname"><a href="classgg_1_1MouseButtonPressedEvent.html#aad9fb3818fdec503a1d164d0a0ad3475">gg::MouseButtonPressedEvent::~MouseButtonPressedEvent</a></div><div class="ttdeci">~MouseButtonPressedEvent() override=default</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonPressedEvent_html_accf43bef1d540f25f10839e35b94135e"><div class="ttname"><a href="classgg_1_1MouseButtonPressedEvent.html#accf43bef1d540f25f10839e35b94135e">gg::MouseButtonPressedEvent::MouseButtonPressedEvent</a></div><div class="ttdeci">MouseButtonPressedEvent(sf::Mouse::Button)</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonReleasedEvent_html"><div class="ttname"><a href="classgg_1_1MouseButtonReleasedEvent.html">gg::MouseButtonReleasedEvent</a></div><div class="ttdef"><b>Definition:</b> MouseEvent.hpp:56</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonReleasedEvent_html_a011e39cd63718e03bd7437bbe27b6174"><div class="ttname"><a href="classgg_1_1MouseButtonReleasedEvent.html#a011e39cd63718e03bd7437bbe27b6174">gg::MouseButtonReleasedEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonReleasedEvent_html_a107d6cd549efd776d46d2e66080fe970"><div class="ttname"><a href="classgg_1_1MouseButtonReleasedEvent.html#a107d6cd549efd776d46d2e66080fe970">gg::MouseButtonReleasedEvent::~MouseButtonReleasedEvent</a></div><div class="ttdeci">~MouseButtonReleasedEvent() override=default</div></div>
<div class="ttc" id="aclassgg_1_1MouseButtonReleasedEvent_html_a97aadfeae42973faafb3560d6ab301df"><div class="ttname"><a href="classgg_1_1MouseButtonReleasedEvent.html#a97aadfeae42973faafb3560d6ab301df">gg::MouseButtonReleasedEvent::MouseButtonReleasedEvent</a></div><div class="ttdeci">MouseButtonReleasedEvent(sf::Mouse::Button)</div></div>
<div class="ttc" id="aclassgg_1_1MouseMovedEvent_html"><div class="ttname"><a href="classgg_1_1MouseMovedEvent.html">gg::MouseMovedEvent</a></div><div class="ttdef"><b>Definition:</b> MouseEvent.hpp:10</div></div>
<div class="ttc" id="aclassgg_1_1MouseMovedEvent_html_a1878f2591938753f50cf170a723ade41"><div class="ttname"><a href="classgg_1_1MouseMovedEvent.html#a1878f2591938753f50cf170a723ade41">gg::MouseMovedEvent::~MouseMovedEvent</a></div><div class="ttdeci">~MouseMovedEvent() override=default</div></div>
<div class="ttc" id="aclassgg_1_1MouseMovedEvent_html_a43757c5ea9b1172b1ee12069a6b967c7"><div class="ttname"><a href="classgg_1_1MouseMovedEvent.html#a43757c5ea9b1172b1ee12069a6b967c7">gg::MouseMovedEvent::to_string</a></div><div class="ttdeci">auto to_string() const -&gt; std::string</div></div>
<div class="ttc" id="aclassgg_1_1MouseMovedEvent_html_a48f3ced46577de83fa4c28f626d0b75c"><div class="ttname"><a href="classgg_1_1MouseMovedEvent.html#a48f3ced46577de83fa4c28f626d0b75c">gg::MouseMovedEvent::MouseMovedEvent</a></div><div class="ttdeci">MouseMovedEvent(const float, const float)</div></div>
<div class="ttc" id="aclassgg_1_1MouseMovedEvent_html_a75f1825ee66397a4a4d1aa512e68b8eb"><div class="ttname"><a href="classgg_1_1MouseMovedEvent.html#a75f1825ee66397a4a4d1aa512e68b8eb">gg::MouseMovedEvent::GetMouseY</a></div><div class="ttdeci">auto GetMouseY() -&gt; float</div></div>
<div class="ttc" id="aclassgg_1_1MouseMovedEvent_html_ab6d219c0e27160a2881c9c9d1822a4ec"><div class="ttname"><a href="classgg_1_1MouseMovedEvent.html#ab6d219c0e27160a2881c9c9d1822a4ec">gg::MouseMovedEvent::GetMouseX</a></div><div class="ttdeci">auto GetMouseX() -&gt; float</div></div>
<div class="ttc" id="aclassgg_1_1MouseMovedEvent_html_af843b5cca9b295ba561c35fa4529ce59"><div class="ttname"><a href="classgg_1_1MouseMovedEvent.html#af843b5cca9b295ba561c35fa4529ce59">gg::MouseMovedEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacegg_html_ada69b9f844678d00cd5c2b2c30a20122"><div class="ttname"><a href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">gg::EventType</a></div><div class="ttdeci">EventType</div><div class="ttdef"><b>Definition:</b> Event.hpp:11</div></div>
<div class="ttc" id="anamespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:84</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
